libstdc++: std::geometric_distribution< _IntType >::param_type Struct Reference

libstdc++

std::geometric_distribution< _IntType >::param_type Struct Reference

`#include <random.h>`

## Public Types
typedef geometric_distribution< _IntType > | distribution_type

## Public Member Functions
| param_type (double __p)
double | p () const

## Friends
class | geometric_distribution< _IntType >
bool | operator== (const param_type &__p1, const param_type &__p2)

## Detailed Description

template<typename _IntType = int>
struct std::geometric_distribution< _IntType >::param_type

Parameter type.

Definition at line 4844 of file random.h.

## Member Typedef Documentation

## ◆ distribution_type

template<typename _IntType = int>

typedef geometric_distribution<_IntType> std::geometric_distribution< _IntType >::param_type::distribution_type

Definition at line 4846 of file random.h.

## Constructor & Destructor Documentation

## ◆ param_type() [1/2]

template<typename _IntType = int>

std::geometric_distribution< _IntType >::param_type::param_type | ( |  | ) |
| inline

Definition at line 4849 of file random.h.

## ◆ param_type() [2/2]

template<typename _IntType = int>

std::geometric_distribution< _IntType >::param_type::param_type | ( | double | __p | ) |
| inlineexplicit

Definition at line 4852 of file random.h.

## Member Function Documentation

## ◆ p()

template<typename _IntType = int>

double std::geometric_distribution< _IntType >::param_type::p | ( |  | ) | const
| inline

Definition at line 4860 of file random.h.

## Friends And Related Symbol Documentation

## ◆ geometric_distribution< _IntType >

template<typename _IntType = int>

friend class geometric_distribution< _IntType >
| friend

Definition at line 4846 of file random.h.

## ◆ operator==

template<typename _IntType = int>

bool operator== | ( | const param_type & | __p1,
|  | const param_type & | __p2 )
| friend

Definition at line 4864 of file random.h.

The documentation for this struct was generated from the following file:

- random.h